LWTextInternal::Paragraph Struct Reference

Internal: class to store the paragraph properties. More...

Inheritance diagram for LWTextInternal::Paragraph:

## Public Member Functions

| Paragraph ()
| Constructor. More...
Public Member Functions inherited from MWAWParagraph
| MWAWParagraph ()
| constructor More...
virtual | ~MWAWParagraph ()
| destructor More...
bool | operator== (MWAWParagraph const &p) const
| operator== More...
bool | operator!= (MWAWParagraph const &p) const
| operator!= More...
double | getMarginsWidth () const
| return the paragraph margin width (in inches) More...
bool | hasBorders () const
| check if the paragraph has some borders More...
bool | hasDifferentBorders () const
| check if the paragraph has different borders More...
void | resizeBorders (size_t newSize)
| a function used to resize the borders list ( adding empty borders if needed ) More...
void | setInterline (double value, WPXUnit unit, LineSpacingType type=Fixed)
| set the interline More...
void | addTo (WPXPropertyList &propList, bool inTable) const
| add to the propList More...
void | addTabsTo (WPXPropertyListVector &propList, double decalX=0.0) const
| add tabs to the propList More...
void | insert (MWAWParagraph const &para)
| insert the set values of para in the actual paragraph More...

## Public Attributes

float | m_deltaSpacing
| the paragraph delta spacing More...
Public Attributes inherited from MWAWParagraph
Variable< double > | m_margins [3]
| the margins More...
Variable< WPXUnit > | m_marginsUnit
| the margins INCH, ... More...
Variable< double > | m_spacings [3]
| the line spacing More...
Variable< WPXUnit > | m_spacingsInterlineUnit
| the interline unit PERCENT or INCH, ... More...
Variable< LineSpacingType > | m_spacingsInterlineType
| the interline type: fixed, atLeast, ... More...
Variable< std::vector < MWAWTabStop > > | m_tabs
| the tabulations More...
Variable< bool > | m_tabsRelativeToLeftMargin
| true if the tabs are relative to left margin, false if there are relative to the page margin (default) More...
Variable< Justification > | m_justify
| the justification More...
Variable< int > | m_breakStatus
| a list of bits: 0x1 (unbreakable), 0x2 (do not break after) More...
Variable< int > | m_listLevelIndex
| the actual level index More...
Variable< int > | m_listId
| the list id (if know ) More...
Variable< int > | m_listStartValue
| the list start value (if set ) More...
Variable< MWAWListLevel > | m_listLevel
| the actual level More...
Variable< MWAWColor > | m_backgroundColor
| the background color More...
std::vector< Variable < MWAWBorder > > | m_borders
| list of border ( order MWAWBorder::Pos) More...
std::string | m_extra
| a string to store some errors More...

## Friends

std::ostream & | operator<< (std::ostream &o, Paragraph const &ind)
| operator<< More...

## Additional Inherited Members

Public Types inherited from MWAWParagraph
enum | { NoBreakBit = 0x1, NoBreakWithNextBit =0x2 }
| some bit use to defined the break status More...
enum | Justification { JustificationLeft, JustificationFull, JustificationCenter, JustificationRight, JustificationFullAllLines }
| an enum used to defined the paragraph justification: left, center, right, full ... More...
enum | LineSpacingType { Fixed, AtLeast }
| the line spacing type: fixed or at least More...

## Detailed Description

Internal: class to store the paragraph properties.

## Constructor & Destructor Documentation

LWTextInternal::Paragraph::Paragraph | ( |  | ) |

inline

Constructor.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Paragraph const & | ind
| ) |  |

friend

operator<<

## Member Data Documentation

float LWTextInternal::Paragraph::m_deltaSpacing

the paragraph delta spacing

Referenced by LWText::readRulers(), and LWText::sendMainText().

The documentation for this struct was generated from the following file:

- LWText.cxx